Package com.independentsoft.office.spreadsheet.styles

# Class NumberFormat

java.lang.Object
com.independentsoft.office.spreadsheet.styles.NumberFormat

public class NumberFormat extends Object
The Class NumberFormat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberFormat()`
  Instantiates a new number format.
  `NumberFormat​(int id, String code)`
  Instantiates a new number format.
  `NumberFormat​(InternalXMLStreamReader reader)`
  Instantiates a new number format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberFormat`
  `clone()`
  `String`
  `getCode()`
  Gets the code.
  `int`
  `getID()`
  Gets the id.
  `void`
  `setCode​(String code)`
  Sets the code.
  `void`
  `setID​(int id)`
  Sets the id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberFormat

    public NumberFormat()
    Instantiates a new number format.

  - ### NumberFormat

    public NumberFormat​(int id, String code)
    Instantiates a new number format.
    Parameters:
      `id` - the id
      `code` - the code

  - ### NumberFormat

    public NumberFormat​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new number format.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public NumberFormat clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCode

    public String getCode()
    Gets the code.
    Returns:
      the code

  - ### setCode

    public void setCode​(String code)
    Sets the code.
    Parameters:
      `code` - the new code

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id